program Project1;

var
  u,n,i,j,k: integer;
  A,r,P: array [1..1000000] of real;
  max: real;
begin
  readln (n);
  for u:= 1 to n do readln(A[u],P[u]);
  for i:= 1 to n do
  begin
    r[i]:=0;
    for j:=1 to n do
    if (P[j]>=P[i]) then r[i]:=A[j]*(P[i]/100)+r[i];
  end;
  max:=r[1];
  for k:=2 to n do if r[k]>max then begin max:=r[k]; end;
  writeln(max:2:4);
  readln;
end.